Subject: bug#18775: closed (Re: bug#18775: 25.0.50.1; emacs built on windows 7 exits immediately)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 20 Oct 2014 02:38:04 +0000

Your bug report

#18775: 25.0.50.1; emacs built on windows 7 exits immediately

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18775: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18775
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18775: 25.0.50.1; emacs built on windows 7 exits immediately
From: Eli Zaretskii <[email-masked]>
To: Vincent Belaïche <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Oct 2014 05:36:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vincent Belaïche <[email-masked]>
> Date: Sun, 19 Oct 2014 21:22:05 +0200
> 
> I send this report w/o using Emacs because the version which I built for Windows 7 exits immediately.
> 
> If I type 
> 
>     emacs.exe --version
> 
> I get this:
> 
>     GNU Emacs 25.0.50.1
>     Copyright (C) 2014 Free Software Foundation, Inc.
>     GNU Emacs comes with ABSOLUTELY NO WARRANTY.
>     You may redistribute copies of Emacs
>     under the terms of the GNU General Public License.
>     For more information about these matters, see the file named COPYING.
> 
> If I type
> 
>     runemacs.exe -Q
> 
> then is exits without any Windows crash windows, nor any output
> 
> If I type the following
> 
>     emacs.exe -Q
> 
> Then I get on std error the following
> 
>     Odd length text property list
> 
> And if immediately after this I type
> 
>     echo %ERRORLEVEL%
> 
> 
> Then I get on std out the following
> 
>     -1
> 
> attached is a log of a gdb session.
> 
> Note: this is not the very latest version of Emacs but a fairly recent one (less than a couple of months) which I tried to build. If you like I can try and make some build log for you.

Please use the latest version of the trunk.  Several problems that
resulted in exactly the behavior you describe were fixed lately, one
of them just a couple of days ago.

I'm closing this bug.  Feel free to reopen if the latest trunk still
exhibits this behavior.

Subject: 25.0.50.1; emacs built on windows 7 exits immediately
From: Vincent Belaïche <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sun, 19 Oct 2014 21:22:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Bellow all quotations by indented by 4 spaces.

I send this report w/o using Emacs because the version which I built for Windows 7 exits immediately.

If I type 

    emacs.exe --version

I get this:

    GNU Emacs 25.0.50.1
    Copyright (C) 2014 Free Software Foundation, Inc.
    GNU Emacs comes with ABSOLUTELY NO WARRANTY.
    You may redistribute copies of Emacs
    under the terms of the GNU General Public License.
    For more information about these matters, see the file named COPYING.

If I type

    runemacs.exe -Q

then is exits without any Windows crash windows, nor any output

If I type the following

    emacs.exe -Q

Then I get on std error the following

    Odd length text property list

And if immediately after this I type

    echo %ERRORLEVEL%

Then I get on std out the following

    -1

attached is a log of a gdb session.

Note: this is not the very latest version of Emacs but a fairly recent one (less than a couple of months) which I tried to build. If you like I can try and make some build log for you.

VBR,
   Vincent.